 % Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summary.anomaly_series.R
\name{summary.anomaly_series}
\alias{summary.anomaly_series}
\title{Summary method for anomaly_series objects.}
\usage{
\method{summary}{anomaly_series}(object, ...)
}
\arguments{
\item{object}{anomaly_series object}

\item{...}{Other parameters to be passed to summary methods.}
}
\description{
A function summarising the content of an anomaly_object as produced by the \code{\link{anomaly_series}} method. It prints the number of detected anomalous windows and point anomalies.
}
\examples{
library(anomaly)
set.seed(2018)
# Generate data typically following a normal distribution with mean 0 and variance 1. 
# Then introduce 3 anomaly windows and 4 point outliers.
x  = rnorm(5000)
x[401:500]   = rnorm(100,4,1)
x[1601:1800] = rnorm(200,0,0.01)
x[3201:3500] = rnorm(300,0,10)
x[c(1000,2000,3000,4000)] = rnorm(4,0,100)
inferred_anomalies = anomaly_series(x)
summary(inferred_anomalies)
}
